Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkUnsignedIntArray Class Reference

`#include <vtkUnsignedIntArray.h>`

Inheritance diagram for vtkUnsignedIntArray:

[legend]
Collaboration diagram for vtkUnsignedIntArray:

[legend]
List of all members.

## Detailed Description

dynamic, self-adjusting unsigned int integer array

Date:
  2002/11/21 16:11:51

Revision:
  1.35

vtkUnsignedIntArray is an array of unsigned int integer numbers. It provides methods for insertion and retrieval of integer values, and will automatically resize itself to hold new data.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (38%)
  - Martin, Ken (25%)
  - Henderson, Amy (8%)
  - Geveci, Berk (6%)
  - Kelly, Ann (5%)
  - Miller, Jim (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkUnsignedIntArray.cxx)`
  - .`h` (`/Common/vtkUnsignedIntArray.h)`

Tests:
  vtkUnsignedIntArray (Tests)

Definition at line 50 of file vtkUnsignedIntArray.h.

## Public Types
typedef vtkDataArray | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | Allocate (const vtkIdType sz, const vtkIdType ext=1000)
void | Initialize ()
int | GetDataType ()
int | GetDataTypeSize ()
void | SetNumberOfTuples (const vtkIdType number)
float * | GetTuple (const vtkIdType i)
unsigned int | GetValue (const vtkIdType id)
void | SetNumberOfValues (const vtkIdType number)
void | InsertValue (const vtkIdType id, const unsigned int i)
vtkIdType | InsertNextValue (const unsigned int)
float | GetComponent (const vtkIdType i, const int j)
void | SetComponent (const vtkIdType i, const int j, float c)
virtual void | InsertComponent (const vtkIdType i, const int j, float c)
unsigned int * | WritePointer (const vtkIdType id, const vtkIdType number)
void | DeepCopy (vtkDataArray *da)
virtual void | Resize (vtkIdType numTuples)
void | GetTuple (const vtkIdType i, float *tuple)
void | GetTuple (const vtkIdType i, double *tuple)
void | SetTuple (const vtkIdType i, const float *tuple)
void | SetTuple (const vtkIdType i, const double *tuple)
void | InsertTuple (const vtkIdType i, const float *tuple)
void | InsertTuple (const vtkIdType i, const double *tuple)
vtkIdType | InsertNextTuple (const float *tuple)
vtkIdType | InsertNextTuple (const double *tuple)
void | SetValue (const vtkIdType id, const unsigned int value)
unsigned int * | GetPointer (const vtkIdType id)
void * | GetVoidPointer (const vtkIdType id)
void | SetArray (unsigned int *array, vtkIdType size, int save)
void | SetVoidArray (void *array, vtkIdType size, int save)
void | Squeeze ()
## Static Public Methods
vtkUnsignedIntArray * | New ()
int | IsTypeOf (const char *type)
vtkUnsignedIntArray * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkUnsignedIntArray (vtkIdType numComp=1)
| ~vtkUnsignedIntArray ()
unsigned int * | ResizeAndExtend (const vtkIdType sz)
## Protected Attributes
unsigned int * | Array
int | TupleSize
float * | Tuple
int | SaveUserArray

## Member Typedef Documentation

typedef vtkDataArray vtkUnsignedIntArray::Superclass

| Reimplemented from vtkDataArray. Definition at line 55 of file vtkUnsignedIntArray.h.

## Constructor & Destructor Documentation

vtkUnsignedIntArray::vtkUnsignedIntArray | ( | vtkIdType | numComp = 1 | ) | `[protected]`

vtkUnsignedIntArray::~vtkUnsignedIntArray | ( |  | ) | `[protected]`

## Member Function Documentation

vtkUnsignedIntArray* vtkUnsignedIntArray::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkUnsignedIntArray::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataArray.

int vtkUnsignedIntArray::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

virtual int vtkUnsignedIntArray::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

vtkUnsignedIntArray* vtkUnsignedIntArray::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataArray.

void vtkUnsignedIntArray::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataArray.

int vtkUnsignedIntArray::Allocate | ( | const vtkIdType | sz,
|  | const vtkIdType | ext = 1000
| ) | `[virtual]`

| Allocate memory for this array. Delete old storage only if necessary. Note that ext is no longer used. Implements vtkDataArray. Referenced by SetNumberOfValues().

void vtkUnsignedIntArray::Initialize | ( |  | ) | `[virtual]`

| Release storage and reset array to initial state. Implements vtkDataArray.

int vtkUnsignedIntArray::GetDataType | ( |  | ) | `[inline, virtual]`

| Get the data type. Implements vtkDataArray. Definition at line 66 of file vtkUnsignedIntArray.h. References VTK_UNSIGNED_INT.

int vtkUnsignedIntArray::GetDataTypeSize | ( |  | ) | `[inline, virtual]`

| Return the size of the data type. Implements vtkDataArray. Definition at line 69 of file vtkUnsignedIntArray.h.

void vtkUnsignedIntArray::SetNumberOfTuples | ( | const vtkIdType | number | ) | `[virtual]`

| Set the number of n-tuples in the array. Implements vtkDataArray.

float* vtkUnsignedIntArray::GetTuple | ( | const vtkIdType | i | ) | `[virtual]`

| Get a pointer to a tuple at the ith location. This is a dangerous method (it is not thread safe since a pointer is returned). Implements vtkDataArray.

void vtkUnsignedIntArray::GetTuple | ( | const vtkIdType | i,
|  | float * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Implements vtkDataArray.

void vtkUnsignedIntArray::GetTuple | ( | const vtkIdType | i,
|  | double * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Reimplemented from vtkDataArray.

void vtkUnsignedIntArray::SetTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Implements vtkDataArray.

void vtkUnsignedIntArray::SetTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Reimplemented from vtkDataArray.

void vtkUnsignedIntArray::InsertTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Implements vtkDataArray.

void vtkUnsignedIntArray::InsertTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Reimplemented from vtkDataArray.

vtkIdType vtkUnsignedIntArray::InsertNextTuple | ( | const float * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Implements vtkDataArray.

vtkIdType vtkUnsignedIntArray::InsertNextTuple | ( | const double * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Reimplemented from vtkDataArray.

unsigned int vtkUnsignedIntArray::GetValue | ( | const vtkIdType | id | ) | `[inline]`

| Get the data at a particular index. Definition at line 105 of file vtkUnsignedIntArray.h. References id, and vtkIdType.

void vtkUnsignedIntArray::SetValue | ( | const vtkIdType | id,
|  | const unsigned int | value
| ) | `[inline]`

| Set the data at a particular index. Does not do range checking. Make sure you use the method SetNumberOfValues() before inserting data. Definition at line 110 of file vtkUnsignedIntArray.h. References id, and vtkIdType.

void vtkUnsignedIntArray::SetNumberOfValues | ( | const vtkIdType | number | ) | `[inline]`

| Specify the number of values for this object to hold. Does an allocation as well as setting the MaxId ivar. Used in conjunction with SetValue() method for fast insertion. Definition at line 197 of file vtkUnsignedIntArray.h. References Allocate(), vtkDataArray::MaxId, and vtkIdType.

void vtkUnsignedIntArray::InsertValue | ( | const vtkIdType | id,
|  | const unsigned int | i
| ) | `[inline]`

| Insert data at a specified position in the array. Definition at line 218 of file vtkUnsignedIntArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType. Referenced by InsertNextValue().

vtkIdType vtkUnsignedIntArray::InsertNextValue | ( | const unsigned | int | ) | `[inline]`

| Insert data at the end of the array. Return its location in the array. Definition at line 232 of file vtkUnsignedIntArray.h. References InsertValue(), vtkDataArray::MaxId, and vtkIdType.

float vtkUnsignedIntArray::GetComponent | ( | const vtkIdType | i,
|  | const int | j
| ) | `[virtual]`

| Return the data component at the ith tuple and jth component location. Note that i is less then NumberOfTuples and j is less then NumberOfComponents. Reimplemented from vtkDataArray.

void vtkUnsignedIntArray::SetComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Set the data component at the ith tuple and jth component location. Note that i is less then NumberOfTuples and j is less then NumberOfComponents. Make sure enough memory has been allocated (use SetNumberOfTuples() and SetNumberOfComponents()). Reimplemented from vtkDataArray.

virtual void vtkUnsignedIntArray::InsertComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Insert the data component at ith tuple and jth component location. Note that memory allocation is performed as necessary to hold the data. Reimplemented from vtkDataArray.

unsigned int* vtkUnsignedIntArray::GetPointer | ( | const vtkIdType | id | ) | `[inline]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Definition at line 145 of file vtkUnsignedIntArray.h. References id, and vtkIdType.

void* vtkUnsignedIntArray::GetVoidPointer | ( | const vtkIdType | id | ) | `[inline, virtual]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Implements vtkDataArray. Definition at line 146 of file vtkUnsignedIntArray.h. References id, and vtkIdType.

unsigned int * vtkUnsignedIntArray::WritePointer | ( | const vtkIdType | id,
|  | const vtkIdType | number
| ) | `[inline]`

| Get the address of a particular data index. Make sure data is allocated for the number of items requested. Set MaxId according to the number of data values requested. Definition at line 203 of file vtkUnsignedIntArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType.

void vtkUnsignedIntArray::DeepCopy | ( | vtkDataArray * | da | ) | `[virtual]`

| Deep copy of another unsigned int array. Reimplemented from vtkDataArray.

void vtkUnsignedIntArray::SetArray | ( | unsigned int * | array,
|  | vtkIdType | size,
|  | int | save
| ) |

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array.

void vtkUnsignedIntArray::SetVoidArray | ( | void * | array,
|  | vtkIdType | size,
|  | int | save
| ) | `[inline]`

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array. Definition at line 166 of file vtkUnsignedIntArray.h. References vtkIdType.

void vtkUnsignedIntArray::Squeeze | ( |  | ) | `[inline, virtual]`

| Resize object to just fit data requirement. Reclaims extra memory. Implements vtkDataArray. Definition at line 172 of file vtkUnsignedIntArray.h.

virtual void vtkUnsignedIntArray::Resize | ( | vtkIdType | numTuples | ) | `[virtual]`

| Resize the array while conserving the data. Implements vtkDataArray.

unsigned int* vtkUnsignedIntArray::ResizeAndExtend | ( | const vtkIdType | sz | ) | `[protected]`

| Referenced by InsertValue(), and WritePointer().

## Member Data Documentation

unsigned int* vtkUnsignedIntArray::Array`[protected]`

| Definition at line 183 of file vtkUnsignedIntArray.h. Referenced by InsertValue(), and WritePointer().

int vtkUnsignedIntArray::TupleSize`[protected]`

| Definition at line 187 of file vtkUnsignedIntArray.h.

float* vtkUnsignedIntArray::Tuple`[protected]`

| Definition at line 188 of file vtkUnsignedIntArray.h.

int vtkUnsignedIntArray::SaveUserArray`[protected]`

| Definition at line 190 of file vtkUnsignedIntArray.h.

The documentation for this class was generated from the following file:

- Common/vtkUnsignedIntArray.h